#
# Base class of all modules...
# makes accessing fields which exist in all modules easier
#
class BaseModule:
    module_name = ""
    module_dir = ""

    # noinspection DuplicatedCode
    def inject(self, registry):
        pass

    def pre_start(self):
        pass

    def start(self):
        pass
